// Ce code permet de tester son module bluetooth avec une appli et une carte arduino uno ou similaire ... 
// appli android à installer : https://play.google.com/store/apps/details?id=com.giumig.apps.bluetoothserialmonitor&hl=fr&pli=1
// dans cet exemple, on va commander 2 LED branchées sur les sorties Numériques de l'arduino UNO à partir d'un smartphone

//******************************************************//
// *************PROCEDURE ET CONSIGNES***************** //
//*****************************************************//

// 0- Téléverser le code ci-dessous dans l'arduino ATTENTION : module bluetooth débrancher 
// 1- brancher 2 Led sur les sorties numériques de l'arduino 
//    Arduino Pin 6 > LED Verte
//    Arduino Pin 7 > LED Rouge
// 2- Connecter le module bluetooth sur l'arduino : respecter le branchement ci-dessous 
//    Module Bluetooth >> Microcontrôleur Arduino 
//                  GND >> GND
//                  VCC >> +5VOLTS
//                  RX  >> TX
//                  TX  >> RX 
// 3- Alimenter l'arduino en énergie > Appairer le module Bluetooth au smartphone Démarrer l'appli > Démarrer l'appli android
// 4- Connect to a device apparait > votre module bluetooth apparait dans la liste 
// 5- Cliquer dessus > Controller Mode (attention l'arduino doit être alimenté en énergie et le module bluetooth connecté)
// 6- Le module bluetooth ne clignot plus / il est connecté à l'arduino
// 7- Vous devez parametrer les signaux qui seront envoyés par les "boutons" de l'appli
// 8- Cliquer sur la "roue dentée" puis pour chaque bouton indique le signal qui sera envoyé comme ceci :
//     flèche à gauche : 3
//     flèche à droite : 4
//     flèche haut :.....1
//     flèche bas :..... 2
//     triangle :....... 5
//     ROND : ...........6
//     CARRE :...........7
//     CROIX :...........8




char t;
 
void setup() {
pinMode(6,OUTPUT);   //LED Verte 
pinMode(7,OUTPUT);   //LED Rouge
//pinMode(13,OUTPUT);  // LED intégrée à l'arduino UNO : à utiliser si vous n'avez pas de LED

Serial.begin(9600);
 
}
 
void loop() {
if(Serial.available()){
  t = Serial.read();
  Serial.println(t);
}
 
if(t == '1'){            //Allumer les LED 6 (verte)  et LED 7 (rouge)
  digitalWrite(6,HIGH);
  digitalWrite(7,HIGH);
}
 
else if(t == '2'){      //Eteindre les LED 6 (verte) et LED 7 (rouge)
  digitalWrite(6,LOW);
  digitalWrite(7,LOW);
}
 
else if(t == '3'){      //Eteindre LED 6 (verte) & Allumer LED 7 (rouge)
  digitalWrite(6,LOW);
  digitalWrite(7,HIGH);
}
 
else if(t == '4'){      //Allumer LED 6 (verte) & Eteindre LED 7 (rouge)
  digitalWrite(6,HIGH);
  digitalWrite(7,LOW);
  
}

if(t == '5'){            //faire clignoter simultanément les LED 6 & 7
  digitalWrite(6,HIGH);
  digitalWrite(7,HIGH);
  delay(500);
  digitalWrite(6,LOW);
  digitalWrite(7,LOW);
  delay(500);
 
}
 
else if(t == '6'){      //faire clignoter alternativement les LED 6 & 7 (sirène)
  digitalWrite(6,HIGH);
  digitalWrite(7,LOW);
  delay(500);
  digitalWrite(6,LOW);
  digitalWrite(7,HIGH);
  delay(500);
  
  
}

delay(100);
}
